import type { CellRendererProps, Omit, SharedEditorProps } from "./types";
declare type SharedCellRendererProps<R, SR> = Pick<CellRendererProps<R, SR>, "rowIdx" | "row" | "column">;
interface EditCellProps<R, SR> extends SharedCellRendererProps<R, SR>, Omit<React.HTMLAttributes<HTMLDivElement>, "style" | "children"> {
    editorProps: SharedEditorProps<R>;
    isFromExternalChange: boolean;
    setIsFromExternalChange: (value: boolean) => void;
}
export default function EditCell<R, SR>({ className, column, row, rowIdx, editorProps, isFromExternalChange, setIsFromExternalChange, ...props }: EditCellProps<R, SR>): JSX.Element;
export {};
